#
# spec file for package pidgin-openfetion
#
# Copyright (c) 2012 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           pidgin-openfetion
Version:        0.3
Release:        2.3
License:        SUSE-GPL-2.0+-with-openssl-exception
Summary:        Pidgin plugin for the Fetion protocol
Url:            http://code.google.com/p/pidgin-facebookchat/
Group:          Productivity/Networking/Instant Messenger
Source:         http://ofetion.googlecode.com/files/%{name}-%{version}.tar.gz
BuildRequires:  cmake
BuildRequires:  gcc-c++
BuildRequires:  libofetion-devel
# For directory ownership
BuildRequires:  pidgin
BuildRequires:  pkgconfig(libxml-2.0)
BuildRequires:  pkgconfig(openssl)
BuildRequires:  pkgconfig(purple)
Requires:       libpurple-plugin-openfetion = %{version}
Requires:       pidgin
Supplements:    packageand(libpurple-plugin-openfetion:pidgin}
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
This is a Fetion plugin for Pidgin.

Fetion is an IM provided by China Mobile, with features like text chat,
voice call, file sharing, etc.

%package -n libpurple-plugin-openfetion
Summary:        Libpurple plugin for the Fetion protocol
Group:          Productivity/Networking/Instant Messenger
Requires:       libpurple
Recommends:     libpurple-plugin-openfetion-lang
Enhances:       libpurple

%description -n libpurple-plugin-openfetion
This is a Fetion plugin for libpurple.

Fetion is an IM provided by China Mobile, with features like text chat,
voice call, file sharing, etc.

%lang_package -n libpurple-plugin-openfetion
%prep
%setup -q
%build
mkdir build
cd build
cmake .. -DCMAKE_INSTALL_PREFIX=%{_prefix} \
         -DLIB_INSTALL_DIR=%{_libdir}

make %{?_smp_mflags}

%install
cd build
%make_install
cd ..
%find_lang pidgin-ofetion %{?no_lang_C}

%files -n libpurple-plugin-openfetion
%defattr(-,root,root)
%{_libdir}/purple-2/libopenfetion.so
%{_datadir}/purple/openfetion/

%files
%defattr(-, root, root)
%{_datadir}/pixmaps/pidgin/protocols/*/openfetion.png

%files -n libpurple-plugin-openfetion-lang -f pidgin-ofetion.lang

%changelog
* Tue Mar  6 2012 cfarrell@suse.com
- license update: SUSE-GPL-2.0+-with-openssl-exception
  Package allows linking with openssl. Use SUSE- proprietary prefix
  until license is accepted upstream at spdx.org.
* Fri Feb 17 2012 vuntz@opensuse.org
- Cleanup for inclusion in Factory.
* Wed Feb 15 2012 hillwood@linuxfans.org
- new version 0.3
